Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::SectorPlacer Class Reference

A sector-shaped particle placer. More...

Inheritance diagram for osgParticle::SectorPlacer:

[legend]
List of all members.

## Public Member Functions
| SectorPlacer ()
| SectorPlacer (const SectorPlacer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
const rangef & | getRadiusRange () const
| Get the range of possible values for radius.
void | setRadiusRange (const rangef &r)
| Set the range of possible values for radius.
void | setRadiusRange (float r1, float r2)
| Set the range of possible values for radius.
const rangef & | getPhiRange () const
| Get the range of possible values for the central angle.
void | setPhiRange (const rangef &r)
| Set the range of possible values for the central angle.
void | setPhiRange (float r1, float r2)
| Set the range of possible values for the central angle.
| META_Object (osgParticle, SectorPlacer)
void | place (Particle *P) const
| Place a particle. Do not call it manually.
osg::Vec3 | getControlPosition () const
| return the control position
## Protected Member Functions
virtual | ~SectorPlacer ()
SectorPlacer & | operator= (const SectorPlacer &)

## Detailed Description

A sector-shaped particle placer.

This placer sets the initial position of incoming particle by choosing a random position within a circular sector; this sector is defined by three parameters: a center point, which is inherited directly from `osgParticle::CenteredPlacer`, a range of values for radius, and a range of values for the central angle (sometimes called phi).

## Constructor & Destructor Documentation

osgParticle::SectorPlacer::SectorPlacer | ( |  | ) | `[inline]`

osgParticle::SectorPlacer::SectorPlacer | ( | const SectorPlacer & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgParticle::SectorPlacer::~SectorPlacer | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osg::Vec3 osgParticle::SectorPlacer::getControlPosition | ( |  | ) | const`[inline, virtual]`

| return the control position Implements osgParticle::Placer.

const rangef & osgParticle::SectorPlacer::getPhiRange | ( |  | ) | const`[inline]`

| Get the range of possible values for the central angle.

const rangef & osgParticle::SectorPlacer::getRadiusRange | ( |  | ) | const`[inline]`

| Get the range of possible values for radius.

osgParticle::SectorPlacer::META_Object | ( | osgParticle | ,
|  | SectorPlacer |
| ) |

SectorPlacer& osgParticle::SectorPlacer::operator= | ( | const SectorPlacer & |  | ) | `[inline, protected]`

void osgParticle::SectorPlacer::place | ( | Particle * | P | ) | const`[inline, virtual]`

| Place a particle. Do not call it manually. Implements osgParticle::Placer.

void osgParticle::SectorPlacer::setPhiRange | ( | float | r1,
|  | float | r2
| ) | `[inline]`

| Set the range of possible values for the central angle.

void osgParticle::SectorPlacer::setPhiRange | ( | const rangef & | r | ) | `[inline]`

| Set the range of possible values for the central angle.

void osgParticle::SectorPlacer::setRadiusRange | ( | float | r1,
|  | float | r2
| ) | `[inline]`

| Set the range of possible values for radius.

void osgParticle::SectorPlacer::setRadiusRange | ( | const rangef & | r | ) | `[inline]`

| Set the range of possible values for radius.

The documentation for this class was generated from the following file:

- SectorPlacer